---
title: By identifier
slug: by-identifier
docTags: 
createdAt: 2023-09-27T09:38:25.671Z
---

### Interaction

A patient can be queried for based on the patient's unique identifier by sending a  **GET** or a **POST** request to the Patient endpoint, depending on your [region](docId\:ncFf15xNu1WGlST2wNm-P): `https://api.<region>.founda.com/1/health/organizations/<org-x>/fhir/4/Patient/<patient-id>`.

Don't forget to replace \<patient-id> with the unique identifier of the patient you have available!

### Profile

The Retrieve Patient interaction with the Founda Platform is based on the [IHE PDQm profile](https://profiles.ihe.net/ITI/PDQm/index.html). To indicate that the request and response should comply with ITI-78, the `_profile` parameter should be included to the search set: `.../Patient?_profile=https://profiles.ihe.net/ITI/PDQm`.

### Example API call

::::CodeDrawer{title="Retrieve Patient by identifier - GET" isResponseExpanded="true" autoGeneratedAnchorSlug="retrieve-patient-by-identifier-get" legacyHash="DhS14wkhlQB_M1p9dP3TF"}
:::CodeblockTabsExamples
```curl
curl --location 'https://api.eu.founda.com/1/health/organizations/org-4c5739ba994d4ce9b5255d3f84a2d367/fhir/4/Patient/2078/?_profile=https%3A%2F%2Fprofiles.ihe.net%2FITI%2FPDQm%2F' \
--header 'Authorization: Bearer ory_at_Rsh9ASri-M5WV6iVOHLorgo1lAvFi4-Kg9dPlWosdjM.NrSredmWdEzbONXaOYKkOSaweXAHzDXUueY5AAnavkU'
```
:::

:::CodeblockTabsResponses
```javascript
{
    "resourceType": "Patient",
    "id": "2078",
    "meta": {
        "versionId": "1",
        "lastUpdated": "2023-10-05T14:29:14.124+00:00",
        "source": "#o1vJX8Q904hvVeMp",
        "tag": [
            {
                "system": "http://terminology.hl7.org/CodeSystem/v3-ActReason",
                "code": "HTEST",
                "display": "test health data"
            }
        ]
    },
    "text": {
        "status": "generated",
        "div": "<div xmlns=\"http://www.w3.org/1999/xhtml\">\n      \n      <p>Patient Donald DUCK @ Acme Healthcare, Inc. MR = 654321</p>\n    \n    </div>"
    },
    "identifier": [
        {
            "use": "usual",
            "type": {
                "coding": [
                    {
                        "system": "http://terminology.hl7.org/CodeSystem/v2-0203",
                        "code": "MR"
                    }
                ]
            },
            "system": "urn:oid:0.1.2.3.4.5.6.7",
            "value": "654321"
        }
    ],
    "active": true,
    "name": [
        {
            "use": "official",
            "family": "Donald",
            "given": [
                "Duck"
            ]
        }
    ],
    "gender": "male",
    "birthDate": "1924-06-09",
    "photo": [
        {
            "contentType": "image/gif",
            "data": "R0lGODlhEwARAPcAAAAAAAAA/+9aAO+1AP/WAP/eAP/eCP/eEP/eGP/nAP/nCP/nEP/nIf/nKf/nUv/nWv/vAP/vCP/vEP/vGP/vIf/vKf/vMf/vOf/vWv/vY//va//vjP/3c//3lP/3nP//tf//vf///////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////yH5BAEAAAEALAAAAAATABEAAAi+AAMIDDCgYMGBCBMSvMCQ4QCFCQcwDBGCA4cLDyEGECDxAoAQHjxwyKhQAMeGIUOSJJjRpIAGDS5wCDly4AALFlYOgHlBwwOSNydM0AmzwYGjBi8IHWoTgQYORg8QIGDAwAKhESI8HIDgwQaRDI1WXXAhK9MBBzZ8/XDxQoUFZC9IiCBh6wEHGz6IbNuwQoSpWxEgyLCXL8O/gAnylNlW6AUEBRIL7Og3KwQIiCXb9HsZQoIEUzUjNEiaNMKAAAA7"
        }
    ],
    "contact": [
        {
            "relationship": [
                {
                    "coding": [
                        {
                            "system": "http://terminology.hl7.org/CodeSystem/v2-0131",
                            "code": "E"
                        }
                    ]
                }
            ],
            "organization": {
                "reference": "Organization/2072",
                "display": "Walt Disney Corporation"
            }
        }
    ],
    "managingOrganization": {
        "reference": "Organization/2072",
        "display": "ACME Healthcare, Inc"
    }
}
```
:::
::::

::::CodeDrawer{title="Retrieve Patient by identifier - POST" isResponseExpanded="true" autoGeneratedAnchorSlug="retrieve-patient-by-identifier-post" legacyHash="N-Ei05I4vNPWQsh0rAAAj"}
:::CodeblockTabsExamples
```curl
curl --location 'https://api.eu.founda.com/1/health/organizations/org-4c5739ba994d4ce9b5255d3f84a2d367/fhir/4/Patient/_search?_profile=https%3A%2F%2Fprofiles.ihe.net%2FITI%2FPDQm%2F' \
--header 'Content-Type: application/x-www-form-urlencoded' \
--header 'Authorization: Bearer ory_at_Rsh9ASri-M5WV6iVOHLorgo1lAvFi4-Kg9dPlWosdjM.NrSredmWdEzbONXaOYKkOSaweXAHzDXUueY5AAnavkU' \
--data-urlencode '_id=2078'
```
:::

:::CodeblockTabsResponses
```javascript
{
    "resourceType": "Bundle",
    "id": "d76e676b-9b33-4bc4-899b-ea07de74db0e",
    "meta": {
        "lastUpdated": "2023-10-05T14:38:36.501+00:00"
    },
    "type": "searchset",
    "total": 1,
    "link": [
        {
            "relation": "self",
            "url": "https://api.eu.founda.com/1/health/organizations/org-4c5739ba994d4ce9b5255d3f84a2d367/fhir/4/Patient/_search?_profile=https://profiles.ihe.net/ITI/PDQm/"
        }
    ],
    "entry": [
        {
            "fullUrl": "https://api.eu.founda.com/1/health/organizations/org-4c5739ba994d4ce9b5255d3f84a2d367/fhir/4/Patient/2078",
            "resource": {
                "resourceType": "Patient",
                "id": "2078",
                "meta": {
                    "versionId": "1",
                    "lastUpdated": "2023-10-05T14:29:14.124+00:00",
                    "source": "#o1vJX8Q904hvVeMp",
                    "tag": [
                        {
                            "system": "http://terminology.hl7.org/CodeSystem/v3-ActReason",
                            "code": "HTEST",
                            "display": "test health data"
                        }
                    ]
                },
                "text": {
                    "status": "generated",
                    "div": "<div xmlns=\"http://www.w3.org/1999/xhtml\">\n      \n      <p>Patient Donald DUCK @ Acme Healthcare, Inc. MR = 654321</p>\n    \n    </div>"
                },
                "identifier": [
                    {
                        "use": "usual",
                        "type": {
                            "coding": [
                                {
                                    "system": "http://terminology.hl7.org/CodeSystem/v2-0203",
                                    "code": "MR"
                                }
                            ]
                        },
                        "system": "urn:oid:0.1.2.3.4.5.6.7",
                        "value": "654321"
                    }
                ],
                "active": true,
                "name": [
                    {
                        "use": "official",
                        "family": "Donald",
                        "given": [
                            "Duck"
                        ]
                    }
                ],
                "gender": "male",
                "birthDate": "1924-06-09",
                "photo": [
                    {
                        "contentType": "image/gif",
                        "data": "R0lGODlhEwARAPcAAAAAAAAA/+9aAO+1AP/WAP/eAP/eCP/eEP/eGP/nAP/nCP/nEP/nIf/nKf/nUv/nWv/vAP/vCP/vEP/vGP/vIf/vKf/vMf/vOf/vWv/vY//va//vjP/3c//3lP/3nP//tf//vf///////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////yH5BAEAAAEALAAAAAATABEAAAi+AAMIDDCgYMGBCBMSvMCQ4QCFCQcwDBGCA4cLDyEGECDxAoAQHjxwyKhQAMeGIUOSJJjRpIAGDS5wCDly4AALFlYOgHlBwwOSNydM0AmzwYGjBi8IHWoTgQYORg8QIGDAwAKhESI8HIDgwQaRDI1WXXAhK9MBBzZ8/XDxQoUFZC9IiCBh6wEHGz6IbNuwQoSpWxEgyLCXL8O/gAnylNlW6AUEBRIL7Og3KwQIiCXb9HsZQoIEUzUjNEiaNMKAAAA7"
                    }
                ],
                "contact": [
                    {
                        "relationship": [
                            {
                                "coding": [
                                    {
                                        "system": "http://terminology.hl7.org/CodeSystem/v2-0131",
                                        "code": "E"
                                    }
                                ]
                            }
                        ],
                        "organization": {
                            "reference": "Organization/2072",
                            "display": "Walt Disney Corporation"
                        }
                    }
                ],
                "managingOrganization": {
                    "reference": "Organization/2072",
                    "display": "ACME Healthcare, Inc"
                }
            },
            "search": {
                "mode": "match"
            }
        }
    ]
}
```
:::
::::

